> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vers.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch apiv1vm disk



## OpenAPI

````yaml /api-reference/openapi.json patch /api/v1/vm/{vm_id}/disk
openapi: 3.1.0
info:
  title: Orchestrator Control Plane API
  description: ''
  license:
    name: ''
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/vm/{vm_id}/disk:
    patch:
      tags:
        - vm
      operationId: resize_vm_disk
      parameters:
        - name: vm_id
          in: path
          description: VM ID whose disk to resize
          required: true
          schema:
            type: string
            format: uuid
        - name: skip_wait_boot
          in: query
          description: >-
            If true, return an error immediately if the VM is still booting.
            Default: false
          required: false
          schema:
            type: boolean
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VmResizeDiskRequest'
        required: true
      responses:
        '200':
          description: VM disk resized successfully
        '400':
          description: Invalid request (e.g. new size not larger than current)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: VM not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearer_auth: []
components:
  schemas:
    VmResizeDiskRequest:
      type: object
      description: Request body for PATCH /api/vm/{vm_id}/disk
      required:
        - fs_size_mib
      properties:
        fs_size_mib:
          type: integer
          format: int32
          description: >-
            The new disk size in MiB. Must be strictly greater than the current
            size.
          minimum: 0
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Reason of error
        success:
          type: boolean
          description: 'Is always: false'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: Token

````